Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database Globalization Development Kit Java API Reference 10g Release 2 (10.2) Part No. B14224-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.i18n.text
Class OraDateFormatSymbols

    java.lang.Object
      |
      +--oracle.i18n.text.OraDateFormatSymbols

All Implemented Interfaces:
  Cloneable, Serializable

public final class OraDateFormatSymbols
extends Object
implements Serializable, Cloneable

The `OraDateFormatSymbols` class is a class that maintains Oracle translations for date/time-related strings such as month names and day-of-the-week names.

See Also:
  `OraDateFormat`, `OraSimpleDateFormat`, Serialized Form

Constructor Summary
`OraDateFormatSymbols()` Deprecated. As of Oracle Database 10g Release 2 (10.2), replaced by `OraDateFormatSymbols(Locale)`
`OraDateFormatSymbols(Locale locale)` Constructs an `OraDateFormatSymbols` object for the given locale.
`OraDateFormatSymbols(oracle.i18n.util.OraLocaleInfo localeInfo)` Constructs an `OraDateFormatSymbols` object for the given `OraLocaleInfo` object.

Method Summary
`Object` | `clone()` Overrides the `clone` method.
`boolean` | `equals(Object obj)` Overrides the `equals` method.
`String[]` | `getAmPmStrings()` Returns the meridian indicators for the object.
`String[]` | `getEras()` Returns the era strings for the object.
`String[]` | `getMonths()` Returns the month names for the object.
`String[]` | `getShortMonths()` Returns the abbreviated month names for the object.
`String[]` | `getShortWeekdays()` Returns the abbreviated names of day-of-the-week for the object.
`String[]` | `getWeekdays()` Returns the names of day-of-the-week for the object.
`int` | `hashCode()` Overrides the `hashCode` method.
`void` | `setAmPmStrings(String[] amPmStrings)` Sets the meridian indicators to the given indicators for this object.
`void` | `setEras(String[] eras)` Sets the eras to the given eras for this object.
`void` | `setMonths(String[] months)` Sets the month names to the given month names for this object.
`void` | `setShortMonths(String[] shortMonths)` Sets the abbreviated month names to the given abbreviated month names for this object.
`void` | `setShortWeekdays(String[] shortWeekdays)` Sets the abbreviated names of day-of-the-week to the given names for this object.
`void` | `setWeekdays(String[] weekdays)` Sets the names of day-of-the-week to the given names for this object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OraDateFormatSymbols

    public OraDateFormatSymbols()

  Deprecated. As of Oracle Database 10g Release 2 (10.2), replaced by `OraDateFormatSymbols(Locale)`

  Constructs an `OraDateFormatSymbols` object for the default locale.

### OraDateFormatSymbols

    public OraDateFormatSymbols(Locale locale)

  Constructs an `OraDateFormatSymbols` object for the given locale.

### OraDateFormatSymbols

    public OraDateFormatSymbols(oracle.i18n.util.OraLocaleInfo localeInfo)

  Constructs an `OraDateFormatSymbols` object for the given `OraLocaleInfo` object.

Method Detail

### getEras

    public String[] getEras()

  Returns the era strings for the object. For example, it returns {"bc", "ad"} for en_US.

  Returns:
    the era strings

### setEras

    public void setEras(String[] eras)

  Sets the eras to the given eras for this object.

### getMonths

    public String[] getMonths()

  Returns the month names for the object. Months start with January (0) and end with December (11).

  Returns:
    the month names

### setMonths

    public void setMonths(String[] months)

  Sets the month names to the given month names for this object. Months start with January (0) and end with December (11).

  Parameters:
    `months` - the given month names

### getShortMonths

    public String[] getShortMonths()

  Returns the abbreviated month names for the object. Months start with January (0) and end with December (11).

  Returns:
    the abbreviated month names

### setShortMonths

    public void setShortMonths(String[] shortMonths)

  Sets the abbreviated month names to the given abbreviated month names for this object. Months start with January (0) and end with December (11).

  Parameters:
    `shortMonths` - the given abbreviated month names

### getWeekdays

    public String[] getWeekdays()

  Returns the names of day-of-the-week for the object. Weekdays start with Sunday (0) and end with Saturday (6).

  Returns:
    the names of day-of-the-week

### setWeekdays

    public void setWeekdays(String[] weekdays)

  Sets the names of day-of-the-week to the given names for this object. Weekdays start with Sunday (0) and end with Saturday (6).

  Parameters:
    `weekdays` - the given names of day-of-the-week

### getShortWeekdays

    public String[] getShortWeekdays()

  Returns the abbreviated names of day-of-the-week for the object. Weekdays start with Sunday (0) and end with Saturday (6).

  Returns:
    the abbreviated names of day-of-the-week

### setShortWeekdays

    public void setShortWeekdays(String[] shortWeekdays)

  Sets the abbreviated names of day-of-the-week to the given names for this object. Weekdays start with Sunday (0) and end with Saturday (6)

  Parameters:
    `shortWeekdays` - the given abbreviated names of day-of-the-week

### getAmPmStrings

    public String[] getAmPmStrings()

  Returns the meridian indicators for the object. For example, it returns {"am", "pm"} for en_US.

  Returns:
    the meridian indicators

### setAmPmStrings

    public void setAmPmStrings(String[] amPmStrings)

  Sets the meridian indicators to the given indicators for this object.

### clone

    public Object clone()

  Overrides the `clone` method.

  Overrides:
    `clone` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides the `equals` method.

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides the `hashCode` method.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    a hash value for the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database Globalization Development Kit Java API Reference 10g Release 2 (10.2) Part No. B14224-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005, Oracle. All rights reserved.